Skip to main content
GET
/
api
/
v1
/
webhooks
/
{id}
/
deliveries
Webhook teslim loglarını listele
curl --request GET \
  --url https://vpos-sandbox.payven.com.tr/api/v1/webhooks/{id}/deliveries \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "event_type": "<string>",
    "url": "<string>",
    "http_status_code": 123,
    "is_success": true,
    "attempt_number": 123,
    "error_message": "<string>",
    "created": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Path Parameters

id
string<uuid>
required

Query Parameters

page_size
integer<int32>
default:20
page
integer<int32>
default:1

Response

OK

id
string<uuid>
transaction_id
string<uuid> | null
event_type
string | null
url
string | null
http_status_code
integer<int32> | null
is_success
boolean
attempt_number
integer<int32>
error_message
string | null
created
string<date-time>